diff --git a/libpcap/configure.ac b/libpcap/configure.ac
index eba2723..6255f07 100644
--- a/libpcap/configure.ac
+++ b/libpcap/configure.ac
@@ -860,10 +860,10 @@
 	# let's drop support for older versions of libnl, too.
 	#
 	AC_ARG_WITH(libnl,
-	AS_HELP_STRING([--without-libnl],[disable libnl support @<:@default=yes, on Linux, if present@:>@]),
+	AS_HELP_STRING([--without-libnl],[disable libnl support @<:@default=disabled@:>@]),
 		with_libnl=$withval,with_libnl=if_available)
 
-	if test x$with_libnl != xno ; then
+	if test x$with_libnl = xyes ; then
 		#
 		# Check for libnl-genl-3.0 with pkg-config.
 		#
@@ -2183,8 +2083,8 @@
 AC_SUBST(MAN_ADMIN_COMMANDS)
 
 AC_ARG_ENABLE(shared,
-AS_HELP_STRING([--enable-shared],[build shared libraries @<:@default=yes, if support available@:>@]))
-test "x$enable_shared" = "xno" && DYEXT="none"
+AS_HELP_STRING([--enable-shared],[build shared libraries @<:@default=no@:>@]))
+test "x$enable_shared" != "xyes" && DYEXT="none"
 
 AC_PROG_RANLIB
 AC_CHECK_TOOL([AR], [ar])
@@ -2265,9 +2163,9 @@
 # Various Linux-specific mechanisms.
 #
 AC_ARG_ENABLE([usb],
-[AS_HELP_STRING([--enable-usb],[enable Linux usbmon USB capture support @<:@default=yes, if support available@:>@])],
+[AS_HELP_STRING([--enable-usb],[enable USB capture support @<:@default=no@:>@])],
     [],
-    [enable_usb=yes])
+    [enable_usb=no])
 
 #
 # If somebody requested an XXX-only pcap, that doesn't include
@@ -2627,9 +2525,9 @@
 AC_SUBST(PCAP_SUPPORT_DPDK)
 
 AC_ARG_ENABLE([bluetooth],
-[AS_HELP_STRING([--enable-bluetooth],[enable Bluetooth support @<:@default=yes, if support available@:>@])],
+[AS_HELP_STRING([--enable-bluetooth],[enable Bluetooth support @<:@default=no@:>@])],
     [],
-    [enable_bluetooth=ifsupportavailable])
+    [enable_bluetooth=no])
 
 if test "xxx_only" = yes; then
 	# User requested something-else-only pcap, so they don't
@@ -2710,9 +2608,9 @@
 fi
 
 AC_ARG_ENABLE([dbus],
-[AS_HELP_STRING([--enable-dbus],[enable D-Bus capture support @<:@default=yes, if support available@:>@])],
+[AS_HELP_STRING([--enable-dbus],[enable D-Bus capture support @<:@default=no@:>@])],
     [],
-    [enable_dbus=ifavailable])
+    [enable_dbus=no])
 
 if test "xxx_only" = yes; then
 	# User requested something-else-only pcap, so they don't
@@ -2861,6 +2759,5 @@
 	pcap_list_tstamp_types.3pcap pcap_open_dead.3pcap
 	pcap_open_offline.3pcap pcap_set_immediate_mode.3pcap
 	pcap_set_tstamp_precision.3pcap pcap_set_tstamp_type.3pcap
-	rpcapd/Makefile rpcapd/rpcapd.manadmin rpcapd/rpcapd-config.manfile
-	testprogs/Makefile)
+	)
 exit 0
--- a/libpcap/Makefile.in	2021-06-07 20:21:35.000000000 +0000
+++ b/libpcap/Makefile.in	2022-08-31 18:00:55.284383667 +0000
@@ -790,8 +778,6 @@
 
 clean:
 	rm -f $(CLEANFILES)
-	(cd rpcapd; $(MAKE) clean)
-	(cd testprogs; $(MAKE) clean)
 
 distclean: clean
 	rm -f Makefile grammar.y config.cache config.log config.status \
@@ -799,8 +785,6 @@
 	    net os-proto.h libpcap.pc pcap-config stamp-h stamp-h.in
 	rm -f $(MAN3PCAP_EXPAND:.in=) $(MANFILE:.in=) $(MANMISC:.in=)
 	rm -rf autom4te.cache
-	(cd rpcapd; $(MAKE) distclean)
-	(cd testprogs; $(MAKE) distclean)
 
 extags: $(TAGFILES)
 	ctags $(TAGFILES)
@@ -827,8 +811,6 @@
 
 depend:	$(GENERATED_C_SRC) $(GENHDR)
 	$(MKDEP) -c "$(CC)" -m "$(DEPENDENCY_CFLAG)" -s "$(srcdir)" $(CFLAGS) $(DEFS) $(INCLS) $(SRC)
-	(cd rpcapd; $(MAKE) depend)
-	(cd testprogs; $(MAKE) depend)
 
 shellcheck:
 	shellcheck -f gcc -e SC2006 build.sh build_matrix.sh build_common.sh
